# Class PersistableNetworkPayload

#### Hierarchy

- unknown
  - PersistableNetworkPayload

- Defined in src/protobuf/pb_pb.d.ts:1968
- Defined in src/protobuf/pb_pb.d.ts:1994

#####
Index

### Constructors

constructor

### Methods

clearAccountAgeWitness
clearSignedWitness
clearTradeStatistics3
getAccountAgeWitness
getMessageCase
getSignedWitness
getTradeStatistics3
hasAccountAgeWitness
hasSignedWitness
hasTradeStatistics3
serializeBinary
setAccountAgeWitness
setSignedWitness
setTradeStatistics3
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PersistableNetworkPayload(): PersistableNetworkPayload

- #### Returns PersistableNetworkPayload

  Inherited from jspb.Message.constructor

## Methods

### clearAccountAgeWitness

- clearAccountAgeWitness(): PersistableNetworkPayload

- #### Returns PersistableNetworkPayload

  - Defined in src/protobuf/pb_pb.d.ts:1972

### clearSignedWitness

- clearSignedWitness(): PersistableNetworkPayload

- #### Returns PersistableNetworkPayload

  - Defined in src/protobuf/pb_pb.d.ts:1977

### clearTradeStatistics3

- clearTradeStatistics3(): PersistableNetworkPayload

- #### Returns PersistableNetworkPayload

  - Defined in src/protobuf/pb_pb.d.ts:1982

### getAccountAgeWitness

- getAccountAgeWitness(): undefined | AccountAgeWitness

- #### Returns undefined | AccountAgeWitness

  - Defined in src/protobuf/pb_pb.d.ts:1969

### getMessageCase

- getMessageCase(): PersistableNetworkPayload.MessageCase

- #### Returns PersistableNetworkPayload.MessageCase

  - Defined in src/protobuf/pb_pb.d.ts:1984

### getSignedWitness

- getSignedWitness(): undefined | SignedWitness

- #### Returns undefined | SignedWitness

  - Defined in src/protobuf/pb_pb.d.ts:1974

### getTradeStatistics3

- getTradeStatistics3(): undefined | TradeStatistics3

- #### Returns undefined | TradeStatistics3

  - Defined in src/protobuf/pb_pb.d.ts:1979

### hasAccountAgeWitness

- hasAccountAgeWitness(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1971

### hasSignedWitness

- hasSignedWitness(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1976

### hasTradeStatistics3

- hasTradeStatistics3(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:1981

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1986

### setAccountAgeWitness

- setAccountAgeWitness(value?: AccountAgeWitness): PersistableNetworkPayload

- #### Parameters

  - ##### `Optional` value: AccountAgeWitness

  #### Returns PersistableNetworkPayload

  - Defined in src/protobuf/pb_pb.d.ts:1970

### setSignedWitness

- setSignedWitness(value?: SignedWitness): PersistableNetworkPayload

- #### Parameters

  - ##### `Optional` value: SignedWitness

  #### Returns PersistableNetworkPayload

  - Defined in src/protobuf/pb_pb.d.ts:1975

### setTradeStatistics3

- setTradeStatistics3(value?: TradeStatistics3): PersistableNetworkPayload

- #### Parameters

  - ##### `Optional` value: TradeStatistics3

  #### Returns PersistableNetworkPayload

  - Defined in src/protobuf/pb_pb.d.ts:1980

### toObject

- toObject(includeInstance?: boolean): PersistableNetworkPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PersistableNetworkPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1987

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PersistableNetworkPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PersistableNetworkPayload

  - Defined in src/protobuf/pb_pb.d.ts:1990

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PersistableNetworkPayload, reader: BinaryReader): PersistableNetworkPayload

- #### Parameters

  - ##### message: PersistableNetworkPayload

  - ##### reader: BinaryReader

  #### Returns PersistableNetworkPayload

  - Defined in src/protobuf/pb_pb.d.ts:1991

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PersistableNetworkPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PersistableNetworkPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1989

### `Static` toObject

- toObject(includeInstance: boolean, msg: PersistableNetworkPayload): PersistableNetworkPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PersistableNetworkPayload

  #### Returns PersistableNetworkPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1988

Generated using TypeDoc